Debian-Sicherheitsankündigung

DSA-987-1 tar -- Pufferüberlauf

Datum des Berichts:
07. Mär 2006
Betroffene Pakete:
tar
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 314805.
In Mitres CVE-Verzeichnis: CVE-2006-0300.
Weitere Informationen:

Jim Meyering entdeckte mehrere Pufferüberläufe in GNU tar, die über speziell erstellte tar-Archive zur Ausführung beliebigen Codes führen können.

Die alte Stable-Distribution (Woody) ist von diesem Problem nicht betroffen.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 1.14-2.1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.15.1-3 behoben.

Wir empfehlen Ihnen, Ihr tar-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1.dsc
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1.diff.gz
http://security.debian.org/pool/updates/main/t/tar/tar_1.14.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/t/tar/tar_1.14-2.1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.